
:root{
	--mainColor:#eaeaea;
	--secondaryColor:#fff;

	--borderColor:#c1c1c1;

	--mainText:black;
	--secondaryText:#4b5156;

	--themeDotBorder:#24292e;

	--previewBg:rgb(251, 249, 243, 0.8);
	--previewShadow:#f0ead6;


	--buttonColor:black;


}


h1, h2, h3, h4, h5, h6, strong{
	color: var(--mainText);
	font-family: 'Russo One', sans-serif;
	font-weight: 300;
}

p, li, span, label, input, textarea{
	color: var(--secondaryText);
	font-family: 'Roboto Mono', monospace;
}

a{
	text-decoration: none;
	color:#17a2b8;
}

ul{
	list-style: none;
}

h1 { font-size: 56px;}
h2 { font-size: 36px;}
h3 { font-size: 28px;}
h4 { font-size: 24px;}
h5 { font-size: 20px;}
h6 { font-size: 16px;}

.s1{
background-color: var(--mainColor);
border-bottom:1px solid var(--borderColor);
 overflow: auto;
}

.s1{
background-color: var(--secondaryColor);
border-bottom:1px solid var(--borderColor);
 overflow: auto;
}
.main-container{
width: 1000px;
margin: auto;
}
.intro-wrapper{
    background-image: url("https://th.bing.com/th/id/OIP.NwXq2aBpsUKXene2iAb81AHaFj?w=243&h=182&c=7&o=5&dpr=1.75&pid=1.7");
     background-size:cover;
     background-repeat: no-repeat;
	background-color: var(--secondaryColor);
	border:1px solid var(--borderColor);
	border-radius:5px 5px 0 0;


	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

	display: grid;
	grid-template-columns: 1fr 1fr;
    grid-template-rows: 3em 30em;
	grid-template-areas: 
		'nav-wrapper nav-wrapper'
		'left-column right-column'
	;
}


.nav-wrapper{
	border-radius:5px 5px 0 0;
	grid-area:nav-wrapper;
	border-bottom: 1px solid var(--borderColor);
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: var(--mainColor);
}
.left-column{
	grid-area: left-column;
	padding-top:50px;
	padding-bottom: 50px;
}


.right-column{
	grid-area: right-column;
	display: grid;
	align-content: center;

	padding-top: 50px;
	padding-bottom: 50px;
   position:static;

}
#profile_pic{
display: block;
margin: 0 auto;
height: 200px;
width: 200px;
object-fit: cover;
border: 2px solid var(--borderColor);
}
.navigation{
display: flex;
margin: 0;
padding: 10px;

}
.navigation li{

margin-right: 5px;
margin-left: 5px;
}
.dots-wrapper{
	display: flex;
	padding: 10px;
}

.dots-wrapper1{
display: flex;
padding: 10px;
justify-content: center;
margin-top: 95px;

}

#dot-1{
	background-color:  #FC6058;
}

#dot-2{
	background-color:  #FEC02F;
}

#dot-3{
	background-color:  #2ACA3E;
}


.theme-dot{
	height: 30px;
	width: 30px;
	background-color: black;
	border-radius: 50%;

	margin: 5px;
	border:2px solid var(--themeDotBorder);

	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

	cursor: pointer;
}

.theme-option-wrapper{
display: flex;
justify-content: center;
}
#personal_Theme{
font-size: 18px;
font-style: italic;
text-align: center;
padding: 2px;
margin-bottom: 4px;

}
#settings-note{
font-size: 12px;
font-style: italic;
text-align: center;

}
.theme-dot:hover{
	border-width: 5px;
}


#light-mode{
	background-color: #fff;
}

#blue-mode{
	background-color: #192734;
}

#green-mode{
	background-color: #78866b;
}

#purple-mode{
	background-color: #7E4C74;
}

#preview_shadow{
background-color: var(--previewShadow);

 
border-top:3px solid#17a2b8 ;
border-left:3px solid #FC6058 ;
border-right:3px solid #FEC02F;
	max-width: 350px;
	height: 210px;
	padding-left: 50px;
	padding-top: 60px;


}

#preview{
    text-align: center;
    width: 350px;
    height: 250px;
	border:1.5px solid #17a2b8;
	background-color: var(--previewBg);
	padding:15px;
	position: relative;
}
#preview p{
margin: 25px;

}
.corner{
width:3px;
height: 3px;
border-radius: 20%;
border:1.8px solid #17a2b8;
padding: 10px;
position: absolute;
}

#corner-tl{
top:-5px;
left:-5px;
background-color:  #FC6058;
}
#corner-tr{
top:-5px;
right:-5px;
background-color:  #FEC02F;
}
#corner-br{
bottom:-5px;
right:-5px;
background-color:  #2ACA3E;

}
#corner-bl{
bottom:-5px;
left:-5px;
background-color: #fff;
}
.browser-dot{
	background-color: black;
	height: 15px;
	width: 15px;
	border-radius: 50%;
	margin: 5px;

	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

}


/* post card */
.post-wrapper{
 
	display: grid;
	grid-template-columns: repeat(auto-fit, 320px);
	gap:20px;
	justify-content: center;
	padding-bottom: 50px;
}

.thumbnail{
display: inline;
width: 100%;
height: 180px;
object-fit: cover;
}
.post{
 height: 450px;
border: 1px solid var(--borderColor);

	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

}

.post-preview{
background-color: #fff;
padding: 15px;
}
.post-title{
color: black;
margin: 0;
}
.post-intro{
color: #4b5156;
font-size: 16px;
}

@media screen and (max-width: 1200px){
	.main-container{
		width: 95%;
	}
}

@media screen and (max-width: 800px){
	.intro-wrapper{
		grid-template-columns: 1fr;
		grid-template-areas: 
			'nav-wrapper'
			'left-column'
			'right-column'
		;
	}

	.right-column{
		justify-content: center;
	}

}

@media screen and (max-width: 400px){
	#preview-shadow{
		max-width: 280px;
		height: 180px;
		padding-left: 10px;
		padding-top: 10px;
	}

	#preview{
		width: 280px;

	}

}